NET_GetAddressString(3)

NAME
NET_GetAddressString - Get a human-readable string from a resolved address.

SYNOPSIS
#include <SDL3_net/SDL_net.h>

const char * NET_GetAddressString(NET_Address *address);

DESCRIPTION
This returns a string that's "human-readable", in that it's probably a string of numbers and symbols, like "159.203.69.7" or "2604:a880:800:a1::71f:3001". It won't be the original hostname (like "icculus.org"), but it's suitable for writing to a log file, etc.

Do not free or modify the returned string; it belongs to the NET_Address that was queried, and is valid as long as the object lives. Either make sure the address has a reference as long as you need this or make a copy of the string.

This will return NULL if resolution is still in progress, or if resolution failed. You can use NET_GetAddressStatus() or NET_WaitUntilResolved() to make sure resolution has successfully completed before calling this.

FUNCTION PARAMETERS

address
    The NET_Address to query.

RETURN VALUE
Returns a string, or NULL on error; call SDL_GetError() for details.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_net 3.0.0.

SEE ALSO
NET_GetAddressStatus(3), NET_WaitUntilResolved(3)